use actix_web::{web, Responder};
use askama::Template;
use askama_actix::TemplateToResponse;
use chrono::NaiveDate;

use crate::{endpoints::NaiveDateQuery, models::{Role, User}};

#[derive(Template)]
#[template(path = "availability/new.html")]
struct AvailabillityNewTemplate {
    user: User,
    date: NaiveDate,
}

#[actix_web::get("/availabillity/new")]
pub async fn get(
    user: web::ReqData<User>,
    query: web::Query<NaiveDateQuery>,
) -> impl Responder {
    let template = AvailabillityNewTemplate {
        user: user.into_inner(),
        date: query.date,
    };

    template.to_response()
}
